aboutsummaryrefslogtreecommitdiffstats
path: root/chapter07/rcS.xml
diff options
context:
space:
mode:
authorGerard Beekmans <gerard@linuxfromscratch.org>2001-02-15 15:26:52 +0000
committerGerard Beekmans <gerard@linuxfromscratch.org>2001-02-15 15:26:52 +0000
commitb08f4096533577934b885fa9df41d3881d141612 (patch)
tree8e5ffc0ba65ac34d97cd6a896d33b85a897a6da8 /chapter07/rcS.xml
parentad08014624938a3a3bfd1b44e8b27d02c7b06dd8 (diff)
Initial XML commit
git-svn-id: http://svn.linuxfromscratch.org/LFS/trunk/BOOK@174 4aa44e1e-78dd-0310-a6d2-fbcd4c07a689
Diffstat (limited to 'chapter07/rcS.xml')
-rw-r--r--chapter07/rcS.xml43
1 files changed, 43 insertions, 0 deletions
diff --git a/chapter07/rcS.xml b/chapter07/rcS.xml
new file mode 100644
index 000000000..908059d04
--- /dev/null
+++ b/chapter07/rcS.xml
@@ -0,0 +1,43 @@
+<sect1 id="ch07-rcS">
+<title>Creating the rcS script</title>
+
+<para>
+The second main bootscript is the <filename>rcS</filename> script. Create a
+new file <filename>/etc/init.d/rcS</filename> containing the following:
+</para>
+
+<literallayout>
+
+<userinput>cat &gt; rcS &lt;&lt; "EOF"</userinput>
+#!/bin/sh
+# Begin /etc/init.d/rcS
+
+#
+# See the rc script for the extensive comments on the constructions
+# used here
+#
+
+runlevel=S
+prevlevel=N
+umask 022
+export runlevel prevlevel
+
+trap ":" INT QUIT TSTP
+
+#
+# Collect all the S scripts in /etc/rcS.d and execute them in the same
+#
+
+for i in /etc/rcS.d/S??*
+do
+ [ ! -f "$i" ] && continue;
+ $i start
+done
+
+# End /etc/init.d/rcS
+<userinput>EOF</userinput>
+
+</literallayout>
+
+</sect1>
+